Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.deployment
Interface AIConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface AIConfigurationMBean
extends weblogic.management.configuration.ConfigurationMBean

MBean for managing AI engine properties

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `activateConnector(String serverName, String id, String dd, boolean returnImmediately)` Request the activation of a ConnectionFactory deployment by the admin server on the given server.
`boolean` | `appHasPendingAppViewDeployments(String appName)` Check to see if there are any pending ApplicationView deployments for the given application name.
`boolean` | `appHasPendingAppViewUndeployments(String appName)` Check to see if there are any pending ApplicationView undeployments for the given application name.
`AdapterDeploymentMBean` | `createAdapterGlobalMBeans(String id, IAdapterDescriptor avd)` Request the creation of the domain-wide mbean of the given type and with the given ID.
`AppViewDeploymentMBean` | `createAppViewGlobalMBeans(String id, IApplicationViewDescriptor avd)` Request the creation of the domain-wide mbean of the given type and with the given ID.
`void` | `deactivateConnector(String serverName, String id, boolean returnImmediately)` Request the deactivation of a ConnectionFactory deployment by the admin server on the given server.
`String` | `getJMSConnectionFactoryJNDIName()` Get the JNDI name of the JMS connection factory being used by AI for creating connections to JMS queues and topics.
`String` | `getRepositoryRootDirectory()` Get the default repository root directory for the AI engine.
`boolean` | `isAsyncServiceTracingEnabled()` Indicates if tracing of async services is enabled for the AI engine.
`boolean` | `isDebugEnabled()` Indicates if debug is enabled for the AI engine.
`void` | `removeConnector(String serverName, String id, boolean returnImmediately)` Request the removal of a ConnectionFactory deployment by the admin server on the given server.
`void` | `setAsyncServiceTracingEnabled(boolean enabled)` Set the tracing of async services on/off for the AI engine.
`void` | `setDebugEnabled(boolean enabled)` Set the debugging on/off for the AI engine.
`void` | `setJMSConnectionFactoryJNDIName(String jndiName)` Set the JNDI name of the JMS connection factory AI should use for creating connections to JMS queues and topics.
`void` | `setRepositoryRootDirectory(String dir)` Set the default repository root directory for the AI engine.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getJMSConnectionFactoryJNDIName

    public String getJMSConnectionFactoryJNDIName()
                                           throws weblogic.management.ManagementException

  Get the JNDI name of the JMS connection factory being used by AI for creating connections to JMS queues and topics.

  Throws:
    `weblogic.management.ManagementException`

### setJMSConnectionFactoryJNDIName

    public void setJMSConnectionFactoryJNDIName(String jndiName)
                                         throws weblogic.management.ManagementException

  Set the JNDI name of the JMS connection factory AI should use for creating connections to JMS queues and topics.

  Throws:
    `weblogic.management.ManagementException`

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)
                         throws weblogic.management.ManagementException

  Set the debugging on/off for the AI engine.

  Throws:
    `weblogic.management.ManagementException`

### isDebugEnabled

    public boolean isDebugEnabled()
                           throws weblogic.management.ManagementException

  Indicates if debug is enabled for the AI engine.

  Throws:
    `weblogic.management.ManagementException`

### setAsyncServiceTracingEnabled

    public void setAsyncServiceTracingEnabled(boolean enabled)
                                       throws weblogic.management.ManagementException

  Set the tracing of async services on/off for the AI engine.

  Throws:
    `weblogic.management.ManagementException`

### isAsyncServiceTracingEnabled

    public boolean isAsyncServiceTracingEnabled()
                                         throws weblogic.management.ManagementException

  Indicates if tracing of async services is enabled for the AI engine.

  Throws:
    `weblogic.management.ManagementException`

### setRepositoryRootDirectory

    public void setRepositoryRootDirectory(String dir)
                                    throws weblogic.management.ManagementException

  Set the default repository root directory for the AI engine. This holds design-time artifacts such as ApplicationView descriptors, Adapter descriptors and schemas. This directory resides on the admin server.

  Throws:
    `weblogic.management.ManagementException`

### getRepositoryRootDirectory

    public String getRepositoryRootDirectory()
                                      throws weblogic.management.ManagementException

  Get the default repository root directory for the AI engine. This directory resides on the admin server.

  Throws:
    `weblogic.management.ManagementException`

### appHasPendingAppViewDeployments

    public boolean appHasPendingAppViewDeployments(String appName)
                                            throws javax.management.MBeanException

  Check to see if there are any pending ApplicationView deployments for the given application name. This method is useful to force clients to wait for an application redeployment operation to fully complete (ApplicationView deployments can still be in progress when the containing application's deployment task completes).

  Throws:
    `javax.management.MBeanException`

### appHasPendingAppViewUndeployments

    public boolean appHasPendingAppViewUndeployments(String appName)
                                              throws javax.management.MBeanException

  Check to see if there are any pending ApplicationView undeployments for the given application name. This method is useful to force clients to wait for an application redeployment operation to fully complete (ApplicationView deployments can still be in progress when the containing application's deployment task completes).

  Throws:
    `javax.management.MBeanException`

### createAppViewGlobalMBeans

    public AppViewDeploymentMBean createAppViewGlobalMBeans(String id,
                                                            IApplicationViewDescriptor avd)
                                                     throws javax.management.MBeanException

  Request the creation of the domain-wide mbean of the given type and with the given ID. Callers should poll the MBean server for the requested MBean following this call if the returned MBean is null. If the MBean already exists, this method is a no-op.

  Throws:
    `javax.management.MBeanException`

### createAdapterGlobalMBeans

    public AdapterDeploymentMBean createAdapterGlobalMBeans(String id,
                                                            IAdapterDescriptor avd)
                                                     throws javax.management.MBeanException

  Request the creation of the domain-wide mbean of the given type and with the given ID. Callers should poll the MBean server for the requested MBean following this call if the returned MBean is null. If the MBean already exists, this method is a no-op.

  Throws:
    `javax.management.MBeanException`

### activateConnector

    public void activateConnector(String serverName,
                                  String id,
                                  String dd,
                                  boolean returnImmediately)
                           throws javax.management.MBeanException

  Request the activation of a ConnectionFactory deployment by the admin server on the given server. This request will be handled in serial fashion with all other activation requests. This method will block, however, until the request has been completed.

  Throws:
    `javax.management.MBeanException`

### deactivateConnector

    public void deactivateConnector(String serverName,
                                    String id,
                                    boolean returnImmediately)
                             throws javax.management.MBeanException

  Request the deactivation of a ConnectionFactory deployment by the admin server on the given server. This request will be handled in serial fashion with all other removal requests. This method will block, however, until the request has been completed.

  Throws:
    `javax.management.MBeanException`

### removeConnector

    public void removeConnector(String serverName,
                                String id,
                                boolean returnImmediately)
                         throws javax.management.MBeanException

  Request the removal of a ConnectionFactory deployment by the admin server on the given server. This request will be handled in serial fashion with all other removal requests. This method will block, however, until the request has been completed. If there are no more targets left on this Connector after the request is handled, the deployment is completely removed.

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD